# Created by pyp2rpm-2.0.0
%global github_user matrix-org
%global pypi_name signedjson

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        1%{?dist}.6
Summary:        Signed JSON

License:        ASL 2.0
URL:            https://github.com/%{github_user}/%{name}
Source0:        https://github.com/%{github_user}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Features:
* More than one entity can sign the same object.
* Each entity can sign the object with more than one key making it easier
  to rotate keys
* ED25519 can be replaced with a different algorithm.
* Unprotected data can be added to the object under the "unsigned" key.

%package -n     python2-%{pypi_name}
Summary:        Signed JSON
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Features:
* More than one entity can sign the same object.
* Each entity can sign the object with more than one key making it easier
  to rotate keys
* ED25519 can be replaced with a different algorithm.
* Unprotected data can be added to the object under the "unsigned" key.

%package -n     python3-%{pypi_name}
Summary:        Signed JSON
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Features:
* More than one entity can sign the same object.
* Each entity can sign the object with more than one key making it easier
  to rotate keys
* ED25519 can be replaced with a different algorithm.
* Unprotected data can be added to the object under the "unsigned" key.


%prep
%autosetup

%build
%py2_build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%py2_install


%files -n python2-%{pypi_name} 
%doc README.rst
%doc LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%doc README.rst
%doc LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Nov 28 2015 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package.
